// NOTE: Need to run "Figure 2 Overall Competency Vignette.do" first!

// MASS PUBLIC ONLY WITH UNUSUAL TREATMENT and INDEPENDENTS //
// need a treatment var. The one above only works for donors

// create dependent variable with group assignment
gen group_dv = .
replace group_dv = 1 if T_Aligned_treatment ==1
replace group_dv = 2 if T_Extreme_treatment ==1
replace group_dv = 3 if T_Bipartisan_treatment ==1
replace group_dv = 4 if T_Inconsistent_treatment ==1


// mlogit predicting treatment assignment with f test
mlogit group_dv strong_partisan weak_partisan lean_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus
testparm strong_partisan weak_partisan lean_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus
local ftest = r(p) // p = .204

// table of means and Standard Deviations
outsum strong_partisan weak_partisan lean_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus if group_dv==1 using "Table_A4_Balance.out" , replace ctitle ("Aligned") bracket addnote("F test p value: `ftest'" )

outsum strong_partisan weak_partisan lean_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus if group_dv==2 using "Table_A4_Balance.out" , append ctitle ("Extreme") bracket addnote("F test p value: `ftest'" ) 

outsum strong_partisan weak_partisan lean_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus if group_dv==3 using "Table_A4_Balance.out" , append ctitle ("Bipartisan") bracket addnote("F test p value: `ftest'" ) 

outsum strong_partisan weak_partisan lean_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus if group_dv==4  using "Table_A4_Balance.out" , append ctitle ("Unusual") bracket addnote("F test p value: `ftest'" ) 
